Index: pjproject/trunk/pjmedia/src/pjmedia/transport_srtp.c
===================================================================
--- pjproject/trunk/pjmedia/src/pjmedia/transport_srtp.c	(revision 4727)
+++ pjproject/trunk/pjmedia/src/pjmedia/transport_srtp.c	(revision 4728)
@@ -1,4 +1,4 @@
 /* $Id$ */
-/* 
+/*
  * Copyright (C) 2008-2011 Teluu Inc. (http://www.teluu.com)
  * Copyright (C) 2003-2008 Benny Prijono <benny@prijono.org>
@@ -16,5 +16,5 @@
  * You should have received a copy of the GNU General Public License
  * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA 
+ * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA
  */
 
@@ -46,5 +46,5 @@
 #define MAX_KEY_LEN		    128
 
-/* Initial value of probation counter. When probation counter > 0, 
+/* Initial value of probation counter. When probation counter > 0,
  * it means SRTP is in probation state, and it may restart when
  * srtp_unprotect() returns err_status_replay_*
@@ -77,5 +77,5 @@
 
     /* cipher AES_CM, auth HMAC_SHA1, auth tag len = 10 octets */
-    {"AES_CM_128_HMAC_SHA1_80", AES_128_ICM, 30, HMAC_SHA1, 20, 10, 10, 
+    {"AES_CM_128_HMAC_SHA1_80", AES_128_ICM, 30, HMAC_SHA1, 20, 10, 10,
 	sec_serv_conf_and_auth},
 
@@ -84,5 +84,5 @@
 	sec_serv_conf_and_auth},
 
-    /* 
+    /*
      * F8_128_HMAC_SHA1_8 not supported by libsrtp?
      * {"F8_128_HMAC_SHA1_8", NULL_CIPHER, 0, NULL_AUTH, 0, 0, 0, sec_serv_none}
@@ -125,5 +125,5 @@
 				   void *pkt,
 				   pj_ssize_t size);
-        
+
     /* Transport information */
     pjmedia_transport	*member_tp; /**< Underlying transport.       */
@@ -131,10 +131,10 @@
     /* SRTP usage policy of peer. This field is updated when media is starting.
      * This is useful when SRTP is in optional mode and peer is using mandatory
-     * mode, so when local is about to reinvite/update, it should offer 
+     * mode, so when local is about to reinvite/update, it should offer
      * RTP/SAVP instead of offering RTP/AVP.
      */
     pjmedia_srtp_use	 peer_use;
 
-    /* When probation counter > 0, it means SRTP is in probation state, 
+    /* When probation counter > 0, it means SRTP is in probation state,
      * and it may restart when srtp_unprotect() returns err_status_replay_*
      */
@@ -206,5 +206,5 @@
 
 
-static pjmedia_transport_op transport_srtp_op = 
+static pjmedia_transport_op transport_srtp_op =
 {
     &transport_get_info,
@@ -239,15 +239,15 @@
 	"couldn't deallocate properly",	    /* err_status_dealloc_fail  = 4  */
 	"couldn't initialize",		    /* err_status_init_fail     = 5  */
-	"can't process as much data as requested", 
+	"can't process as much data as requested",
 					    /* err_status_terminus      = 6  */
 	"authentication failure",	    /* err_status_auth_fail     = 7  */
 	"cipher failure",		    /* err_status_cipher_fail   = 8  */
 	"replay check failed (bad index)",  /* err_status_replay_fail   = 9  */
-	"replay check failed (index too old)", 
+	"replay check failed (index too old)",
 					    /* err_status_replay_old    = 10 */
 	"algorithm failed test routine",    /* err_status_algo_fail     = 11 */
 	"unsupported operation",	    /* err_status_no_such_op    = 12 */
 	"no appropriate context found",	    /* err_status_no_ctx        = 13 */
-	"unable to perform desired validation", 
+	"unable to perform desired validation",
 					    /* err_status_cant_check    = 14 */
 	"can't use key any more",	    /* err_status_key_expired   = 15 */
@@ -286,6 +286,6 @@
 
 	err = srtp_init();
-	if (err != err_status_ok) { 
-	    PJ_LOG(4, (THIS_FILE, "Failed to initialize libsrtp: %s", 
+	if (err != err_status_ok) {
+	    PJ_LOG(4, (THIS_FILE, "Failed to initialize libsrtp: %s",
 		       get_libsrtp_errstr(err)));
 	    return PJMEDIA_ERRNO_FROM_LIBSRTP(err);
@@ -294,7 +294,7 @@
 	if (pjmedia_endpt_atexit(endpt, pjmedia_srtp_deinit_lib) != PJ_SUCCESS)
 	{
-	    /* There will be memory leak when it fails to schedule libsrtp 
+	    /* There will be memory leak when it fails to schedule libsrtp
 	     * deinitialization, however the memory leak could be harmless,
-	     * since in modern OS's memory used by an application is released 
+	     * since in modern OS's memory used by an application is released
 	     * when the application terminates.
 	     */
@@ -307,5 +307,5 @@
     PJ_UNUSED_ARG(endpt);
 #endif
-    
+
     return PJ_SUCCESS;
 }
@@ -338,5 +338,5 @@
 #endif
     if (err != err_status_ok) {
-	PJ_LOG(4, (THIS_FILE, "Failed to deinitialize libsrtp: %s", 
+	PJ_LOG(4, (THIS_FILE, "Failed to deinitialize libsrtp: %s",
 		   get_libsrtp_errstr(err)));
     }
@@ -350,5 +350,5 @@
     int i;
     int cs_cnt = sizeof(crypto_suites)/sizeof(crypto_suites[0]);
-    
+
     /* treat unspecified crypto_name as crypto 'NULL' */
     if (crypto_name->slen == 0)
@@ -421,5 +421,5 @@
 
     /* Check crypto availability */
-    if (opt && opt->crypto_count == 0 && 
+    if (opt && opt->crypto_count == 0 &&
 	opt->use == PJMEDIA_SRTP_MANDATORY)
 	return PJMEDIA_SRTP_ESDPREQCRYPTO;
@@ -435,6 +435,6 @@
 
 	    /* check key length */
-	    if (opt->crypto[i].key.slen && 
-		opt->crypto[i].key.slen < 
+	    if (opt->crypto[i].key.slen &&
+		opt->crypto[i].key.slen <
 		(pj_ssize_t)crypto_suites[cs_idx].cipher_key_len)
 		return PJMEDIA_SRTP_EINKEYLEN;
@@ -506,5 +506,5 @@
  */
 PJ_DEF(pj_status_t) pjmedia_transport_srtp_start(
-			   pjmedia_transport *tp, 
+			   pjmedia_transport *tp,
 			   const pjmedia_srtp_crypto *tx,
 			   const pjmedia_srtp_crypto *rx)
@@ -518,5 +518,4 @@
     int		     cr_rx_idx = 0;
     int		     au_rx_idx = 0;
-    int		     crypto_suites_cnt;
     pj_status_t	     status = PJ_SUCCESS;
 
@@ -528,6 +527,4 @@
 	pjmedia_transport_srtp_stop(tp);
     }
-
-    crypto_suites_cnt = sizeof(crypto_suites)/sizeof(crypto_suites[0]);
 
     /* Get encryption and authentication method */
@@ -545,5 +542,5 @@
 
     /* Check whether the crypto-suite requested is supported */
-    if (cr_tx_idx == -1 || cr_rx_idx == -1 || au_tx_idx == -1 || 
+    if (cr_tx_idx == -1 || cr_rx_idx == -1 || au_tx_idx == -1 ||
 	au_rx_idx == -1)
     {
@@ -648,5 +645,5 @@
 	else
 	    b64[b64_len] = '\0';
-        
+
 	PJ_LOG(5, (srtp->pool->obj_name, "TX: %s key=%s",
 		   srtp->tx_policy.name.ptr, b64));
@@ -700,5 +697,5 @@
     err = srtp_dealloc(p_srtp->srtp_rx_ctx);
     if (err != err_status_ok) {
-	PJ_LOG(4, (p_srtp->pool->obj_name, 
+	PJ_LOG(4, (p_srtp->pool->obj_name,
 		   "Failed to dealloc RX SRTP context: %s",
 		   get_libsrtp_errstr(err)));
@@ -706,5 +703,5 @@
     err = srtp_dealloc(p_srtp->srtp_tx_ctx);
     if (err != err_status_ok) {
-	PJ_LOG(4, (p_srtp->pool->obj_name, 
+	PJ_LOG(4, (p_srtp->pool->obj_name,
 		   "Failed to dealloc TX SRTP context: %s",
 		   get_libsrtp_errstr(err)));
@@ -753,5 +750,5 @@
     info->spc_info[spc_info_idx].type = PJMEDIA_TRANSPORT_TYPE_SRTP;
     info->spc_info[spc_info_idx].cbsize = sizeof(srtp_info);
-    pj_memcpy(&info->spc_info[spc_info_idx].buffer, &srtp_info, 
+    pj_memcpy(&info->spc_info[spc_info_idx].buffer, &srtp_info,
 	      sizeof(srtp_info));
 
@@ -782,5 +779,5 @@
 
     /* Attach itself to transport */
-    status = pjmedia_transport_attach(srtp->member_tp, srtp, rem_addr, 
+    status = pjmedia_transport_attach(srtp->member_tp, srtp, rem_addr,
 				      rem_rtcp, addr_len, &srtp_rtp_cb,
 				      &srtp_rtcp_cb);
@@ -842,10 +839,10 @@
 
     if (err == err_status_ok) {
-	status = pjmedia_transport_send_rtp(srtp->member_tp, 
+	status = pjmedia_transport_send_rtp(srtp->member_tp,
 					    srtp->rtp_tx_buffer, len);
     } else {
 	status = PJMEDIA_ERRNO_FROM_LIBSRTP(err);
     }
-    
+
     return status;
 }
@@ -870,5 +867,5 @@
 
     if (srtp->bypass_srtp) {
-	return pjmedia_transport_send_rtcp2(srtp->member_tp, addr, addr_len, 
+	return pjmedia_transport_send_rtcp2(srtp->member_tp, addr, addr_len,
 	                                    pkt, size);
     }
@@ -903,5 +900,5 @@
 {
     transport_srtp *srtp = (transport_srtp *) tp;
-    
+
     PJ_ASSERT_RETURN(tp, PJ_EINVAL);
 
@@ -965,11 +962,11 @@
     }
     err = srtp_unprotect(srtp->srtp_rx_ctx, (pj_uint8_t*)pkt, &len);
-    if (srtp->probation_cnt > 0 && 
-	(err == err_status_replay_old || err == err_status_replay_fail)) 
+    if (srtp->probation_cnt > 0 &&
+	(err == err_status_replay_old || err == err_status_replay_fail))
     {
 	/* Handle such condition that stream is updated (RTP seq is reinited
-	 * & SRTP is restarted), but some old packets are still coming 
+	 * & SRTP is restarted), but some old packets are still coming
 	 * so SRTP is learning wrong RTP seq. While the newly inited RTP seq
-	 * comes, SRTP thinks the RTP seq is replayed, so srtp_unprotect() 
+	 * comes, SRTP thinks the RTP seq is replayed, so srtp_unprotect()
 	 * will return err_status_replay_*. Restarting SRTP can resolve this.
 	 */
@@ -982,5 +979,5 @@
 					      &tx, &rx);
 	if (status != PJ_SUCCESS) {
-	    PJ_LOG(5,(srtp->pool->obj_name, "Failed to restart SRTP, err=%s", 
+	    PJ_LOG(5,(srtp->pool->obj_name, "Failed to restart SRTP, err=%s",
 		      get_libsrtp_errstr(err)));
 	} else if (!srtp->bypass_srtp) {
@@ -990,6 +987,6 @@
 
     if (err != err_status_ok) {
-	PJ_LOG(5,(srtp->pool->obj_name, 
-		  "Failed to unprotect SRTP, pkt size=%d, err=%s", 
+	PJ_LOG(5,(srtp->pool->obj_name,
+		  "Failed to unprotect SRTP, pkt size=%d, err=%s",
 		  size, get_libsrtp_errstr(err)));
     } else {
@@ -1036,5 +1033,5 @@
     err = srtp_unprotect_rtcp(srtp->srtp_rx_ctx, (pj_uint8_t*)pkt, &len);
     if (err != err_status_ok) {
-	PJ_LOG(5,(srtp->pool->obj_name, 
+	PJ_LOG(5,(srtp->pool->obj_name,
 		  "Failed to unprotect SRTCP, pkt size=%d, err=%s",
 		  size, get_libsrtp_errstr(err)));
@@ -1056,5 +1053,5 @@
  */
 static pj_status_t generate_crypto_attr_value(pj_pool_t *pool,
-					      char *buffer, int *buffer_len, 
+					      char *buffer, int *buffer_len,
 					      pjmedia_srtp_crypto *crypto,
 					      int tag)
@@ -1088,5 +1085,5 @@
 	    key_ok = PJ_TRUE;
 
-	    err = crypto_get_random((unsigned char*)key, 
+	    err = crypto_get_random((unsigned char*)key,
 				     crypto_suites[cs_idx].cipher_key_len);
 	    if (err != err_status_ok) {
@@ -1100,5 +1097,5 @@
 	} while (!key_ok);
 	crypto->key.ptr = (char*)
-			  pj_pool_zalloc(pool, 
+			  pj_pool_zalloc(pool,
 					 crypto_suites[cs_idx].cipher_key_len);
 	pj_memcpy(crypto->key.ptr, key, crypto_suites[cs_idx].cipher_key_len);
@@ -1118,5 +1115,5 @@
 
     b64_key[b64_key_len] = '\0';
-    
+
     PJ_ASSERT_RETURN(*buffer_len >= (crypto->name.slen + \
 		     b64_key_len + 16), PJ_ETOOSMALL);
@@ -1124,5 +1121,5 @@
     /* Print the crypto attribute value. */
     print_len = pj_ansi_snprintf(buffer, *buffer_len, "%d %s inline:%s",
-				   tag, 
+				   tag,
 				   crypto_suites[cs_idx].name,
 				   b64_key);
@@ -1206,5 +1203,5 @@
     crypto->key.ptr = (char*) pj_pool_zalloc(pool, MAX_KEY_LEN);
     itmp = MAX_KEY_LEN;
-    status = pj_base64_decode(&tmp, (pj_uint8_t*)crypto->key.ptr, 
+    status = pj_base64_decode(&tmp, (pj_uint8_t*)crypto->key.ptr,
 			      &itmp);
     if (status != PJ_SUCCESS) {
@@ -1227,5 +1224,5 @@
 
     PJ_ASSERT_RETURN(tp, PJ_EINVAL);
-    
+
     pj_bzero(&srtp->rx_policy_neg, sizeof(srtp->rx_policy_neg));
     pj_bzero(&srtp->tx_policy_neg, sizeof(srtp->tx_policy_neg));
@@ -1275,5 +1272,5 @@
 
 PROPAGATE_MEDIA_CREATE:
-    return pjmedia_transport_media_create(srtp->member_tp, sdp_pool, 
+    return pjmedia_transport_media_create(srtp->member_tp, sdp_pool,
 					  member_tp_option, sdp_remote,
 					  media_index);
@@ -1297,5 +1294,5 @@
 
     PJ_ASSERT_RETURN(tp && sdp_pool && sdp_local, PJ_EINVAL);
-    
+
     pj_bzero(&srtp->rx_policy_neg, sizeof(srtp->rx_policy_neg));
     pj_bzero(&srtp->tx_policy_neg, sizeof(srtp->tx_policy_neg));
@@ -1307,5 +1304,5 @@
 
     /* Bypass if media transport is not RTP/AVP or RTP/SAVP */
-    if (pj_stricmp(&m_loc->desc.transport, &ID_RTP_AVP)  != 0 && 
+    if (pj_stricmp(&m_loc->desc.transport, &ID_RTP_AVP)  != 0 &&
 	pj_stricmp(&m_loc->desc.transport, &ID_RTP_SAVP) != 0)
 	goto BYPASS_SRTP;
@@ -1318,10 +1315,10 @@
      */
     /*
-    if (pjmedia_sdp_media_find_attr(m_loc, &ID_INACTIVE, NULL) || 
+    if (pjmedia_sdp_media_find_attr(m_loc, &ID_INACTIVE, NULL) ||
 	(m_rem && pjmedia_sdp_media_find_attr(m_rem, &ID_INACTIVE, NULL)))
 	goto BYPASS_SRTP;
     */
 
-    /* Check remote media transport & set local media transport 
+    /* Check remote media transport & set local media transport
      * based on SRTP usage option.
      */
@@ -1333,5 +1330,5 @@
 		goto BYPASS_SRTP;
 	    case PJMEDIA_SRTP_OPTIONAL:
-		m_loc->desc.transport = 
+		m_loc->desc.transport =
 				(srtp->peer_use == PJMEDIA_SRTP_MANDATORY)?
 				ID_RTP_SAVP : ID_RTP_AVP;
@@ -1356,5 +1353,5 @@
 		if (buffer_len) {
 		    pj_strset(&attr_value, buffer, buffer_len);
-		    attr = pjmedia_sdp_attr_create(srtp->pool, ID_CRYPTO.ptr, 
+		    attr = pjmedia_sdp_attr_create(srtp->pool, ID_CRYPTO.ptr,
 						   &attr_value);
 		    m_loc->attr[m_loc->attr_count++] = attr;
@@ -1401,9 +1398,9 @@
 		has_crypto_attr = PJ_TRUE;
 
-		status = parse_attr_crypto(srtp->pool, m_rem->attr[i], 
+		status = parse_attr_crypto(srtp->pool, m_rem->attr[i],
 					   &tmp_rx_crypto, &tags[cr_attr_count]);
 		if (status != PJ_SUCCESS)
 		    return status;
-    	 
+
 		/* Check duplicated tag */
 		for (j=0; j<cr_attr_count; ++j) {
@@ -1417,5 +1414,5 @@
 		    /* lets see if the crypto-suite offered is supported */
 		    for (j=0; j<srtp->setting.crypto_count; ++j)
-			if (pj_stricmp(&tmp_rx_crypto.name, 
+			if (pj_stricmp(&tmp_rx_crypto.name,
 				       &srtp->setting.crypto[j].name) == 0)
 			{
@@ -1434,9 +1431,9 @@
 			    //		hex_test_key,
 			    //		strlen(hex_test_key));
-			    //pj_strset(test_key, raw_test_key, 
+			    //pj_strset(test_key, raw_test_key,
 			    //	  crypto_suites[cs_idx].cipher_key_len);
 			    /* EO Force to use test key */
 
-			    if (tmp_rx_crypto.key.slen != 
+			    if (tmp_rx_crypto.key.slen !=
 				(int)crypto_suites[cs_idx].cipher_key_len)
 				return PJMEDIA_SRTP_EINKEYLEN;
@@ -1459,9 +1456,9 @@
 		case PJMEDIA_SRTP_OPTIONAL:
 		    /* bypass SRTP when no crypto-attr and remote uses RTP/AVP */
-		    if (!has_crypto_attr && 
+		    if (!has_crypto_attr &&
 			pj_stricmp(&m_rem->desc.transport, &ID_RTP_AVP) == 0)
 			goto BYPASS_SRTP;
 		    /* bypass SRTP when nothing match and remote uses RTP/AVP */
-		    else if (matched_idx == -1 && 
+		    else if (matched_idx == -1 &&
 			pj_stricmp(&m_rem->desc.transport, &ID_RTP_AVP) == 0)
 			goto BYPASS_SRTP;
@@ -1485,5 +1482,5 @@
 	    }
 
-	    /* we have to generate crypto answer, 
+	    /* we have to generate crypto answer,
 	     * with srtp->tx_policy_neg matched the offer
 	     * and rem_tag contains matched offer tag.
@@ -1497,9 +1494,9 @@
 
 	    srtp->tx_policy_neg = srtp->setting.crypto[matched_idx];
-	    
+
 	    /* If buffer_len==0, just skip the crypto attribute. */
 	    if (buffer_len) {
 		pj_strset(&attr_value, buffer, buffer_len);
-		attr = pjmedia_sdp_attr_create(sdp_pool, ID_CRYPTO.ptr, 
+		attr = pjmedia_sdp_attr_create(sdp_pool, ID_CRYPTO.ptr,
 					       &attr_value);
 		m_loc->attr[m_loc->attr_count++] = attr;
@@ -1508,5 +1505,5 @@
 	    /* At this point, we get valid rx_policy_neg & tx_policy_neg. */
 	}
-	    
+
     }
     goto PROPAGATE_MEDIA_CREATE;
@@ -1519,5 +1516,5 @@
 
 PROPAGATE_MEDIA_CREATE:
-    return pjmedia_transport_encode_sdp(srtp->member_tp, sdp_pool, 
+    return pjmedia_transport_encode_sdp(srtp->member_tp, sdp_pool,
 					sdp_local, sdp_remote, media_index);
 }
@@ -1548,5 +1545,5 @@
     /* For answerer side, this function will just have to start SRTP */
 
-    /* Check remote media transport & set local media transport 
+    /* Check remote media transport & set local media transport
      * based on SRTP usage option.
      */
@@ -1561,5 +1558,5 @@
 	    // Regardless the answer's transport type (RTP/AVP or RTP/SAVP),
 	    // the answer must be processed through in optional mode.
-	    // Please note that at this point transport type is ensured to be 
+	    // Please note that at this point transport type is ensured to be
 	    // RTP/AVP or RTP/SAVP, see transport_media_create()
 	    //if (pj_stricmp(&m_rem->desc.transport, &m_loc->desc.transport)) {
@@ -1574,5 +1571,5 @@
 	}
     }
-    
+
     if (srtp->offerer_side) {
 	/* find supported crypto-suite, get the tag, and assign policy_local */
@@ -1593,5 +1590,5 @@
 	    has_crypto_attr = PJ_TRUE;
 
-	    status = parse_attr_crypto(srtp->pool, m_rem->attr[i], 
+	    status = parse_attr_crypto(srtp->pool, m_rem->attr[i],
 				       &tmp_tx_crypto, &rem_tag);
 	    if (status != PJ_SUCCESS)
@@ -1606,5 +1603,5 @@
 
 	    /* match the crypto name */
-	    if (pj_stricmp(&tmp_tx_crypto.name, 
+	    if (pj_stricmp(&tmp_tx_crypto.name,
 		&srtp->setting.crypto[rem_tag-1].name) != 0)
 	    {
@@ -1634,5 +1631,5 @@
 
     /* Make sure we have the SRTP policies */
-    if (srtp_crypto_empty(&srtp->tx_policy_neg) || 
+    if (srtp_crypto_empty(&srtp->tx_policy_neg) ||
 	srtp_crypto_empty(&srtp->rx_policy_neg))
     {
@@ -1671,5 +1668,5 @@
 
 PROPAGATE_MEDIA_START:
-    return pjmedia_transport_media_start(srtp->member_tp, pool, 
+    return pjmedia_transport_media_start(srtp->member_tp, pool,
 					 sdp_local, sdp_remote,
 				         media_index);
@@ -1685,5 +1682,5 @@
     status = pjmedia_transport_media_stop(srtp->member_tp);
     if (status != PJ_SUCCESS)
-	PJ_LOG(4, (srtp->pool->obj_name, 
+	PJ_LOG(4, (srtp->pool->obj_name,
 		   "SRTP failed stop underlying media transport."));
 
@@ -1720,8 +1717,8 @@
     else
 	err = srtp_unprotect_rtcp(srtp->srtp_rx_ctx, pkt, pkt_len);
-    
+
     if (err != err_status_ok) {
-	PJ_LOG(5,(srtp->pool->obj_name, 
-		  "Failed to unprotect SRTP, pkt size=%d, err=%s", 
+	PJ_LOG(5,(srtp->pool->obj_name,
+		  "Failed to unprotect SRTP, pkt size=%d, err=%s",
 		  *pkt_len, get_libsrtp_errstr(err)));
     }
Index: pjproject/trunk/pjmedia/src/test/jbuf_test.c
===================================================================
--- pjproject/trunk/pjmedia/src/test/jbuf_test.c	(revision 4727)
+++ pjproject/trunk/pjmedia/src/test/jbuf_test.c	(revision 4728)
@@ -1,4 +1,4 @@
 /* $Id$ */
-/* 
+/*
  * Copyright (C) 2008-2011 Teluu Inc. (http://www.teluu.com)
  * Copyright (C) 2003-2008 Benny Prijono <benny@prijono.org>
@@ -16,5 +16,5 @@
  * You should have received a copy of the GNU General Public License
  * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA 
+ * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
  */
 #include <stdio.h>
@@ -48,5 +48,5 @@
 } test_cond_t;
 
-static pj_bool_t parse_test_headers(char *line, test_param_t *param, 
+static pj_bool_t parse_test_headers(char *line, test_param_t *param,
 			       test_cond_t *cond)
 {
@@ -57,5 +57,5 @@
 	char mode_st[16];
 
-	sscanf(p+1, "%s %u %u %u", mode_st, &param->init_prefetch, 
+	sscanf(p+1, "%s %u %u %u", mode_st, &param->init_prefetch,
 	       &param->min_prefetch, &param->max_prefetch);
 	param->adaptive = (pj_ansi_stricmp(mode_st, "adaptive") == 0);
@@ -103,5 +103,5 @@
 }
 
-static pj_bool_t process_test_data(char data, pjmedia_jbuf *jb, 
+static pj_bool_t process_test_data(char data, pjmedia_jbuf *jb,
 				   pj_uint16_t *seq, pj_uint16_t *last_seq)
 {
@@ -156,7 +156,9 @@
 
 	pjmedia_jbuf_get_state(jb, &state);
-	printf("seq=%d\t%c\tsize=%d\tprefetch=%d\n", 
+	printf("seq=%d\t%c\tsize=%d\tprefetch=%d\n",
 	       *last_seq, toupper(data), state.size, state.prefetch);
     }
+#else
+    PJ_UNUSED_ARG(print_state); /* Warning about variable set but unused */
 #endif
 
@@ -171,5 +173,5 @@
     int rc = 0;
     const char* input_filename = "Jbtest.dat";
-    const char* input_search_path[] = { 
+    const char* input_search_path[] = {
 	"../build",
 	"pjmedia/build",
@@ -192,5 +194,5 @@
 	}
     }
-    
+
     /* Failed to open test data file. */
     if (input == NULL) {
@@ -245,6 +247,6 @@
 
 	if (param.adaptive) {
-	    pjmedia_jbuf_set_adaptive(jb, 
-				      param.init_prefetch, 
+	    pjmedia_jbuf_set_adaptive(jb,
+				      param.init_prefetch,
 				      param.min_prefetch,
 				      param.max_prefetch);
@@ -255,6 +257,6 @@
 #ifdef REPORT
 	pjmedia_jbuf_get_state(jb, &state);
-	printf("Initial\tsize=%d\tprefetch=%d\tmin.pftch=%d\tmax.pftch=%d\n", 
-	       state.size, state.prefetch, state.min_prefetch, 
+	printf("Initial\tsize=%d\tprefetch=%d\tmin.pftch=%d\tmax.pftch=%d\n",
+	       state.size, state.prefetch, state.min_prefetch,
 	       state.max_prefetch);
 #endif
@@ -264,5 +266,5 @@
 	while (1) {
 	    char c;
-	    
+
 	    /* Get next line of test data */
 	    if (!p || *p == 0) {
@@ -302,22 +304,22 @@
 	printf("  size=%d prefetch=%d\n", state.size, state.prefetch);
 	printf("  delay (min/max/avg/dev)=%d/%d/%d/%d ms\n",
-	       state.min_delay, state.max_delay, state.avg_delay, 
+	       state.min_delay, state.max_delay, state.avg_delay,
 	       state.dev_delay);
-	printf("  lost=%d discard=%d empty=%d burst(avg)=%d\n", 
+	printf("  lost=%d discard=%d empty=%d burst(avg)=%d\n",
 	       state.lost, state.discard, state.empty, state.avg_burst);
 
 	/* Evaluate test session */
 	if (cond.burst >= 0 && (int)state.avg_burst > cond.burst) {
-	    printf("! 'Burst' should be %d, it is %d\n", 
+	    printf("! 'Burst' should be %d, it is %d\n",
 		   cond.burst, state.avg_burst);
 	    rc |= 1;
 	}
 	if (cond.delay >= 0 && (int)state.avg_delay/JB_PTIME > cond.delay) {
-	    printf("! 'Delay' should be %d, it is %d\n", 
+	    printf("! 'Delay' should be %d, it is %d\n",
 		   cond.delay, state.avg_delay/JB_PTIME);
 	    rc |= 2;
 	}
 	if (cond.delay_min >= 0 && (int)state.min_delay/JB_PTIME > cond.delay_min) {
-	    printf("! 'Minimum delay' should be %d, it is %d\n", 
+	    printf("! 'Minimum delay' should be %d, it is %d\n",
 		   cond.delay_min, state.min_delay/JB_PTIME);
 	    rc |= 32;
@@ -329,10 +331,10 @@
 	}
 	if (cond.empty >= 0 && (int)state.empty > cond.empty) {
-	    printf("! 'Empty' should be %d, it is %d\n", 
+	    printf("! 'Empty' should be %d, it is %d\n",
 		   cond.empty, state.empty);
 	    rc |= 8;
 	}
 	if (cond.lost >= 0 && (int)state.lost > cond.lost) {
-	    printf("! 'Lost' should be %d, it is %d\n", 
+	    printf("! 'Lost' should be %d, it is %d\n",
 		   cond.lost, state.lost);
 	    rc |= 16;
Index: pjproject/trunk/pjnath/src/pjnath-test/ice_test.c
===================================================================
--- pjproject/trunk/pjnath/src/pjnath-test/ice_test.c	(revision 4727)
+++ pjproject/trunk/pjnath/src/pjnath-test/ice_test.c	(revision 4728)
@@ -1,4 +1,4 @@
 /* $Id$ */
-/* 
+/*
  * Copyright (C) 2008-2011 Teluu Inc. (http://www.teluu.com)
  * Copyright (C) 2003-2008 Benny Prijono <benny@prijono.org>
@@ -16,5 +16,5 @@
  * You should have received a copy of the GNU General Public License
  * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA 
+ * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
  */
 #include "test.h"
@@ -113,9 +113,9 @@
 
 static void ice_on_rx_data(pj_ice_strans *ice_st,
-			   unsigned comp_id, 
+			   unsigned comp_id,
 			   void *pkt, pj_size_t size,
 			   const pj_sockaddr_t *src_addr,
 			   unsigned src_addr_len);
-static void ice_on_ice_complete(pj_ice_strans *ice_st, 
+static void ice_on_ice_complete(pj_ice_strans *ice_st,
 			        pj_ice_strans_op op,
 			        pj_status_t status);
@@ -202,5 +202,5 @@
     return PJ_SUCCESS;
 }
-			     
+
 /* Create test session */
 static int create_sess(pj_stun_config *stun_cfg,
@@ -239,5 +239,5 @@
 	return -10;
     }
-    sess->server->turn_respond_allocate = 
+    sess->server->turn_respond_allocate =
 	sess->server->turn_respond_refresh = PJ_TRUE;
 
@@ -319,5 +319,5 @@
 
 static void ice_on_rx_data(pj_ice_strans *ice_st,
-			   unsigned comp_id, 
+			   unsigned comp_id,
 			   void *pkt, pj_size_t size,
 			   const pj_sockaddr_t *src_addr,
@@ -336,5 +336,5 @@
 
 
-static void ice_on_ice_complete(pj_ice_strans *ice_st, 
+static void ice_on_ice_complete(pj_ice_strans *ice_st,
 			        pj_ice_strans_op op,
 			        pj_status_t status)
@@ -437,5 +437,5 @@
     for (; i<max_cnt; ++i) {
 	if (ept1->cfg.comp_cnt>i &&
-	    pj_ice_strans_get_valid_pair(ept1->ice, i+1) != NULL) 
+	    pj_ice_strans_get_valid_pair(ept1->ice, i+1) != NULL)
 	{
 	    PJ_LOG(3,(THIS_FILE, INDENT "err: ice1 shouldn't have valid pair "
@@ -444,5 +444,5 @@
 	}
 	if (ept2->cfg.comp_cnt>i &&
-	    pj_ice_strans_get_valid_pair(ept2->ice, i+1) != NULL) 
+	    pj_ice_strans_get_valid_pair(ept2->ice, i+1) != NULL)
 	{
 	    PJ_LOG(3,(THIS_FILE, INDENT "err: ice2 shouldn't have valid pair "
@@ -464,5 +464,5 @@
 				    pj_gettimeofday(&t); \
 				    if (expr) { \
-					rc = PJ_SUCCESS; \
+					RC = PJ_SUCCESS; \
 					break; \
 				    } \
@@ -478,5 +478,5 @@
     struct test_sess *sess = (struct test_sess *) data;
     pj_stun_config *stun_cfg = sess->stun_cfg;
-    
+
     /* Wait until negotiation is complete on both endpoints */
 #define ALL_DONE    (sess->param->worker_quit || \
@@ -484,5 +484,5 @@
 			 sess->callee.result.nego_status!=PJ_EPENDING))
     WAIT_UNTIL(sess->param->worker_timeout, ALL_DONE, rc);
-    
+    PJ_UNUSED_ARG(rc);
     return 0;
 }
@@ -539,5 +539,5 @@
     }
     /* Init ICE on caller */
-    rc = pj_ice_strans_init_ice(sess->caller.ice, sess->caller.cfg.role, 
+    rc = pj_ice_strans_init_ice(sess->caller.ice, sess->caller.cfg.role,
 				&sess->caller.ufrag, &sess->caller.pass);
     if (rc != PJ_SUCCESS) {
@@ -548,5 +548,5 @@
 
     /* Init ICE on callee */
-    rc = pj_ice_strans_init_ice(sess->callee.ice, sess->callee.cfg.role, 
+    rc = pj_ice_strans_init_ice(sess->callee.ice, sess->callee.cfg.role,
 				&sess->callee.ufrag, &sess->callee.pass);
     if (rc != PJ_SUCCESS) {
@@ -597,5 +597,5 @@
 	goto on_destroy;
     }
-    
+
     WAIT_UNTIL(30000, ALL_DONE, rc);
     if (!ALL_DONE) {
@@ -691,5 +691,5 @@
 	struct test_cfg	 ua1;
 	struct test_cfg	 ua2;
-    } sess_cfg[] = 
+    } sess_cfg[] =
     {
 	/*  Role    comp#   host?   stun?   turn?   flag?  ans_del snd_del des_del */
@@ -741,5 +741,5 @@
     /* Simple test first with host candidate */
     if (1) {
-	struct sess_cfg_t cfg = 
+	struct sess_cfg_t cfg =
 	{
 	    "Basic with host candidates",
@@ -750,5 +750,5 @@
 	};
 
-	rc = perform_test(cfg.title, &stun_cfg, cfg.server_flag, 
+	rc = perform_test(cfg.title, &stun_cfg, cfg.server_flag,
 			  &cfg.ua1, &cfg.ua2);
 	if (rc != 0)
@@ -757,14 +757,14 @@
 	cfg.ua1.comp_cnt = 2;
 	cfg.ua2.comp_cnt = 2;
-	rc = perform_test("Basic with host candidates, 2 components", 
-			  &stun_cfg, cfg.server_flag, 
-			  &cfg.ua1, &cfg.ua2);
-	if (rc != 0)
-	    goto on_return;
-    }
-    
+	rc = perform_test("Basic with host candidates, 2 components",
+			  &stun_cfg, cfg.server_flag,
+			  &cfg.ua1, &cfg.ua2);
+	if (rc != 0)
+	    goto on_return;
+    }
+
     /* Simple test first with srflx candidate */
     if (1) {
-	struct sess_cfg_t cfg = 
+	struct sess_cfg_t cfg =
 	{
 	    "Basic with srflx candidates",
@@ -775,5 +775,5 @@
 	};
 
-	rc = perform_test(cfg.title, &stun_cfg, cfg.server_flag, 
+	rc = perform_test(cfg.title, &stun_cfg, cfg.server_flag,
 			  &cfg.ua1, &cfg.ua2);
 	if (rc != 0)
@@ -783,6 +783,6 @@
 	cfg.ua2.comp_cnt = 2;
 
-	rc = perform_test("Basic with srflx candidates, 2 components", 
-			  &stun_cfg, cfg.server_flag, 
+	rc = perform_test("Basic with srflx candidates, 2 components",
+			  &stun_cfg, cfg.server_flag,
 			  &cfg.ua1, &cfg.ua2);
 	if (rc != 0)
@@ -792,5 +792,5 @@
     /* Simple test with relay candidate */
     if (1) {
-	struct sess_cfg_t cfg = 
+	struct sess_cfg_t cfg =
 	{
 	    "Basic with relay candidates",
@@ -801,5 +801,5 @@
 	};
 
-	rc = perform_test(cfg.title, &stun_cfg, cfg.server_flag, 
+	rc = perform_test(cfg.title, &stun_cfg, cfg.server_flag,
 			  &cfg.ua1, &cfg.ua2);
 	if (rc != 0)
@@ -809,6 +809,6 @@
 	cfg.ua2.comp_cnt = 2;
 
-	rc = perform_test("Basic with relay candidates, 2 components", 
-			  &stun_cfg, cfg.server_flag, 
+	rc = perform_test("Basic with relay candidates, 2 components",
+			  &stun_cfg, cfg.server_flag,
 			  &cfg.ua1, &cfg.ua2);
 	if (rc != 0)
@@ -818,5 +818,5 @@
     /* Failure test with STUN resolution */
     if (1) {
-	struct sess_cfg_t cfg = 
+	struct sess_cfg_t cfg =
 	{
 	    "STUN resolution failure",
@@ -835,6 +835,6 @@
 	cfg.ua2.client_flag |= DEL_ON_ERR;
 
-	rc = perform_test("STUN resolution failure with destroy on callback", 
-			  &stun_cfg, cfg.server_flag, 
+	rc = perform_test("STUN resolution failure with destroy on callback",
+			  &stun_cfg, cfg.server_flag,
 			  &cfg.ua1, &cfg.ua2);
 	if (rc != 0)
@@ -844,5 +844,5 @@
     /* Failure test with TURN resolution */
     if (1) {
-	struct sess_cfg_t cfg = 
+	struct sess_cfg_t cfg =
 	{
 	    "TURN allocation failure",
@@ -853,5 +853,5 @@
 	};
 
-	rc = perform_test(cfg.title, &stun_cfg, cfg.server_flag, 
+	rc = perform_test(cfg.title, &stun_cfg, cfg.server_flag,
 			  &cfg.ua1, &cfg.ua2);
 	if (rc != 0)
@@ -861,6 +861,6 @@
 	cfg.ua2.client_flag |= DEL_ON_ERR;
 
-	rc = perform_test("TURN allocation failure with destroy on callback", 
-			  &stun_cfg, cfg.server_flag, 
+	rc = perform_test("TURN allocation failure with destroy on callback",
+			  &stun_cfg, cfg.server_flag,
 			  &cfg.ua1, &cfg.ua2);
 	if (rc != 0)
@@ -871,5 +871,5 @@
     /* STUN failure, testing TURN deallocation */
     if (1) {
-	struct sess_cfg_t cfg = 
+	struct sess_cfg_t cfg =
 	{
 	    "STUN failure, testing TURN deallocation",
@@ -888,6 +888,6 @@
 	cfg.ua2.client_flag |= DEL_ON_ERR;
 
-	rc = perform_test("STUN failure, testing TURN deallocation (cb)", 
-			  &stun_cfg, cfg.server_flag, 
+	rc = perform_test("STUN failure, testing TURN deallocation (cb)",
+			  &stun_cfg, cfg.server_flag,
 			  &cfg.ua1, &cfg.ua2);
 	if (rc != 0)
@@ -909,5 +909,5 @@
 		pj_ice_sess_role	ua1;
 		pj_ice_sess_role	ua2;
-	    } role[] = 
+	    } role[] =
 	    {
 		{ ROLE1, ROLE2},
@@ -937,6 +937,6 @@
 			char title[120];
 
-			sprintf(title, 
-				"%s/%s, %dms answer delay, %d vs %d components", 
+			sprintf(title,
+				"%s/%s, %dms answer delay, %d vs %d components",
 				pj_ice_sess_role_name(role[j].ua1),
 				pj_ice_sess_role_name(role[j].ua2),
@@ -944,5 +944,5 @@
 
 			cfg->ua2.comp_cnt = k2;
-			rc = perform_test(title, &stun_cfg, cfg->server_flag, 
+			rc = perform_test(title, &stun_cfg, cfg->server_flag,
 					  &cfg->ua1, &cfg->ua2);
 			if (rc != 0)
@@ -1022,5 +1022,5 @@
     unsigned i;
     int rc;
-    
+
     pool = pj_pool_create(mem, NULL, 512, 512, NULL);
     rc = create_stun_config(pool, &stun_cfg);
@@ -1029,5 +1029,5 @@
 	return -7;
     }
-    
+
     for (i = 0; i < LOOP; i++) {
 	PJ_LOG(3,(THIS_FILE, INDENT "Test %d of %d", i+1, LOOP));
@@ -1039,5 +1039,5 @@
     /* Avoid compiler warning */
     goto on_return;
-    
+
 on_return:
     destroy_stun_config(&stun_cfg);
